# RealSpectrum32 configuration file, (C) 2000-2004 Ramsoft ZX Spectrum demogroup

# Lines beginning with '#' are comments, remove it to uncomment them
# "Yes/No" switches accept '0' for 'No' and '1' for 'Yes'
# NOTE: Make sure to leave a space after the colon!

# Recommended settings for maximum audiovisual quality:
# 376x308, vsync, 8-bit stereo sound at 44KHz with surround and ACB/ABC

[VIDEO]
VideoMode: 320 240  # Any VESA2 resolution or a built-in mode
Fullscreen: 0       # 0 = start in windowed mode, 1 = start in fullscreen
VideoSync: 1        # Wait for vertical retrace (smooth but may slowdown)
Gamma: 1.00         # Contrast for dark Spectrum colors (default 1.00)
FrameSkip: 0        # Frames to skip to improve performance (default 0)
BlitterFX: 0        # 0 = normal, 1 = pixel doubler, 2 = vector doubler

[SOUND]
NoSound: 0          # Enable this option to disable sound permanently
SampleRate: 44100   # Sampling rate, default 44100
MasterVolume: 128   # Set master volume of audio (min=0 max=255)
WriteSound: 0       # Record Spectrum sound to a WAV file
AudioGain: 0        # AY amplification scale in dB (leave unchanged)
StereoEnable: 1     # Enable stereo sound
16BitSound: 0       # Enable 16-bit sound output
StereoMode: ABC     # ABC, ACB, NONE or USER panA panB panC (0-255, 0=full right)
StereoSurround: 0   # Enable surround effect
ExternalAY: 0       # Enable AY-LPT support (0=OFF or type LPT hex port e.g. 378)
AY-48K: 1           # Enable/disable AY soundchip for 16K and 48K (0=OFF 1=AY 2=YM)
Physical-DAC: 1     # AY/YM DAC model (0=mathematical, 1=real-world)

[PERIPHERALS]
# DISCiPLE and TRDOS are mutually exclusive due to hardware conflicts
MultifaceEnable: 0   # Enable Multiface 128
# MultifaceType: 2     # 0=MF1  1=MF128 v3.5  2=MF128 v3.6 DIS  3=MF3
# MF1-Rom: mf1.rom            # ROM file for Multiface One
# MF128v35-Rom: mf128v35.rom  # ROM file for Multiface 128 v3.5
# MF128v36-Rom: genie128.rom  # ROM file for Multiface 128 v3.6 DIS
# MF3-Rom: mf3.rom            # ROM file for Multiface 3
# Multiprint-Rom: mprint.rom  # ROM file for Multiprint
# SpecMate-Rom: specmate.rom  # ROM file for SpecMate
MGT-Enabled: 0       # Enable DISCiPLE/+D disk interface
MGT-Type: 1          # MGT interface type: 1=DISCiPLE, 2=+D
MGT-DosType: 1       # Operating system type: 1=GDOS/G+DOS, 2=UNIDOS
# GDOS-Rom: gdos.rom            # ROM file for DISCiPLE GDOS
# G+DOS-Rom: gdos-pd.rom        # ROM file for +D G+DOS
# UNIDOS-Rom: uni-disc.rom      # ROM file for DISCiPLE UNIDOS
# UNI+DOS-Rom: uni-pd.rom       # ROM file for +D UNIDOS
TRDOS-Enabled: 0     # Enable TRDOS disk interface
# TRDOS-Rom: trdos.rom # ROM file for Pentagon TRDOS
# Joystick1: 0        # -1=NONE, 0=Kempston, 1=Sinclair1, 2=Sinclair2
Joystick-Keys: 84 85 82 83 108 # Scancodes for Up, Down, Left, Right and Fire
Mouse: 0             # Enable ZX mouse: 0=NONE, 1=Kempston Mouse
OpticalDevice: 0     # 0=NONE 1=Sinclair Lightgun
IF1-Enabled: 0       # Enable ZX Interface I & microdrives emulation
# IF1-Rom: if1.rom   # ROM file for Interface I (any version)
MB02-Enabled: 0      # Enable MB-02+ interface
# MB02-Rom: mb02.rom # ROM file for MB-02+
# Serial: 2 9600     # Serial <COM> <BAUD> enables RS-232 emulation (COM0=OFF)
# Parallel: 1        # Parallel <LPTn> enables printer emulation (3=file dump)
# SMUC-Enabled: 1    # SMUC expansion for ZS Scorpion (sets IDE I/F=1)
Opus-Enabled: 0      # Enable Opus Discovery disk interface
# Opus-Rom: opus.rom  # ROM file for Opus Discovery (any version)
D80-Enabled: 0       # Enable D80 disk interface
# D80-Rom: d80.rom    # ROM file for D80 disk interface
# IDE-Interface: 0    # 0=NONE 1=SMUC 2/3=IDE 128/48 4/5=SIMPLE 48/128 6=+3e 7=ZXCF
Wafadrive-Enabled: 0      # Enable Wafadrive interface
# Wafadrive-Rom: wafadrv.rom # ROM file for Rotronics Wafadrives

[GENERAL]
SpectrumModel: 2     # 0=16K  1=48K  2=128K  3=+2  4=+2A  5=+3
                     # 7=Pentagon  8=Scorpion
# RomModel2: 128.rom # RomModel<N> (N=0-8) to select custom Spectrum roms
# 48K-Issue2: 0      # Enables Issue2 keyboard emulation for 16K/48K models
# ModelSwitching: 1  # 1=auto-change Spectrum model when loading a snapshot
FlashLoading: 1      # Enables instant loading of TZX files!
FastLoading: 1       # Loading acceleration (0=OFF  1=YES  2=WARP)
LoadingNoise: 1      # Enables reproduction of tape sounds while loading
# SimulateTapeNoise: 1 # Simulates real tape noise during pauses (default=1)
AutoRewind: 1        # Tape rewinds automatically when the end is reached
AutoStart: 1         # Tape starts and stops automatically when needed
AutoLoad: 0          # Autoload inserted tapes in USR0 mode (forces LOAD "")
WelcomeMessage: 1    # Displays a startup message waiting for a key to begin
ContendedMemory: 1   # REQUIRED to be 1 if you want PERFECT multicolors!!!
# Keyboard: IT       # International keyboard layout (IT,ES,FR,UK,DE,etc)
# OSDPosition: 3     # 0=top/left  1=top/right  2=bottom/left  3=bottom/right
# OSDIcons: 5        # Maximum number of icons to display (default 5)
# ThreadPriority: 1  # Scheduling priority (0=normal 1=above 2=highest 3=max)

[FILES]
# All files may have any supported extension for that category
# SnapsFolder: d:\zx\realspec\snap
# Snapshot: usr0.z80          # Load snapshot (Z80/SNA/SLT/SP)
# TapesFolder: d:\zx\realspec\tape
# Tape: led.tzx               # Load tape (TZX/TAP/CSW/WAV)
# DisksFolder: d:\zx\realspec\disk
# MGT-Disk1: system.mgt       # Load disk into MGT drive 1-2 (MGT/IMG)
# TRDOS-Disk1: demos.trd      # Load disk into TRDOS drive 1-4 (TRD/SCL)
# SnapAtExit: exit.z80        # Save snapshot on exit
# PokesPath: d:\zx\pokes      # Directory where you keep POK files
# Plus3-Disk1: platoon.dsk    # Load disk into +3 drive 1-2 (DSK)
# MdrvFolder: d:\zx\emul\mdrv
# Mdrv1: dies.mdr             # Load microdrive cartridge 1-8 (MDR)
# MB02-Disk1: mb02.mbd        # Load disk into MB02 drive 1-4 (MBD)
# Opus-Disk1: sdc.ops         # Load disk into Opus drive 1-2 (OPS)
# D80-Disk1: test.d80         # Load disk into D80 drive 1-2 (D80)
# Wafer-A: wafa1.wdr          # Load wafadrive cartridge into drive A-B (WDR)
# IDE-HD1: scorp.hdf          # Load hard-disk image into drive 1-2 (HDF/HDD)
# ActionFolder: d:\zx\rzx     # Directory for action recording (RZX) files


[NETWORK]
# NickName: YourNickHere
# DownloadFolder: d:\zx\emul\temp # Directory for files downloaded from network

[ASSEMBLER]
ROMWrite: 0          # Allows inline assembler to alter ROM
Auto-paste: 0        # Allows automatic paste of the instruction at the pointed location

[ARCHIVES]
# ListArchives: 0             # 1=Enable ZIP support (default), 0=Disable
# List of decompression programs, with command-line switches:
# UnARJ: arj e -y
# UnRAR: rar e -o+ -y -c- -std
# UnACE: ace32 e -std -o+ -y -c-
# NOTE: free alternatives are: unarj, unrar and unace
# For long-filenames under DOS, check arj v2.60 and ace32.exe

